<?php
/**
 * Slim theme plugin
 *
 * @package SlimTheme
 */

elgg_register_event_handler('init','system','slim_theme_init');

function slim_theme_init() {

	elgg_register_event_handler('pagesetup', 'system', 'slim_theme_pagesetup', 1000);



	// non-members do not get visible links to RSS feeds
	if (!elgg_is_logged_in()) {
		elgg_unregister_plugin_hook_handler('output:before', 'layout', 'elgg_views_add_rss_link');
	}

   elgg_register_plugin_hook_handler('index','system','slim_theme_index');
}


function slim_theme_index() {
    if (!include_once(dirname(dirname(__FILE__)) . "/slim/index.php"))
        return false;
 
    return true;
}




function slim_theme_setup_head($hook, $type, $data) {
	$data['metas']['viewport'] = array(
		'name' => 'viewport',
		'content' => 'width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0',
	);

	$data['links']['apple-touch-icon'] = array(
		'rel' => 'apple-touch-icon',
		'href' => elgg_normalize_url('mod/slim/graphics/homescreen.png'),
	);

	return $data;
}
